Do you plan to update the Woocommerce api for current version